Sie sind nicht angemeldet.

Anzeigen

**Wir werden in den kommenden Tagen einen Umzug auf einen neuen Server durchführen. Im Rahmen dieser Maßnahme wird das Forum ca. 1 Stunde nicht erreichbar sein.** nslu2-info.de ist ein privates Projekt von mir, welches jeden Monat aus eigener Tasche finanziert wird. Mit einer freiwilligen Spende wird der Erhalt und der weitere Ausbau dieses Forums unterstützt. Um mich beim Erhalt des Forums zu unterstützen, kannst Du entweder via Flattr oder Paypal spenden. Ich bedanke mich schon jetzt bei allen Unterstützern.

Lieber Besucher, herzlich willkommen bei: Die NSLU2 Community****wenns ums speichern und streamen geht****. Falls dies Ihr erster Besuch auf dieser Seite ist, lesen Sie sich bitte die Hilfe durch. Dort wird Ihnen die Bedienung dieser Seite näher erläutert. Darüber hinaus sollten Sie sich registrieren, um alle Funktionen dieser Seite nutzen zu können. Benutzen Sie das Registrierungsformular, um sich zu registrieren oder informieren Sie sich ausführlich über den Registrierungsvorgang. Falls Sie sich bereits zu einem früheren Zeitpunkt registriert haben, können Sie sich hier anmelden.

franman

Forensupporter

  • »franman« ist der Autor dieses Themas

Beiträge: 12

Firmwareversion / your current Firmware: Unslung 6.10

  • Nachricht senden

1

Dienstag, 18. November 2008, 18:07

Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Hallo,

stehe ich alleine da, oder gibt es bei euch aktuell auch Probleme mit ipkg update gefolgt von einem ipkg upgrade? Irgendwie findet meine SLUG den neuen Kernel nicht:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
root@NAS:/> ipkg upgrade
Upgrading kernel on root from 2.4.22.l2.3r63-r21 to 2.4.22.l2.3r76-r0...
Downloading http://ipkg.nslu2-linux.org/feeds/unslung/modules/cross/stable/kernel_2.4.22.l2.3r76-r0_nslu2be.ipk
wget: server returned error: HTTP/1.1 404 Not Found
Upgrading kernel-image-2.4.22-xfs on root from 2.4.22.l2.3r63-r21 to 2.4.22.l2.3r76-r0...
Downloading http://ipkg.nslu2-linux.org/feeds/unslung/modules/cross/stable/kernel-image-2.4.22-xfs_2.4.22.l2.3r76-r0_nslu2be.ipk
wget: server returned error: HTTP/1.1 404 Not Found
Nothing to be done
Collected errors:
ipkg_download: ERROR: Command failed with return value 1: `wget --passive-ftp    -q -P /tmp/ipkg-vTZ6id http://ipkg.nslu2-linux.org/feeds/unslung/modules/cross/stable/kernel_2.4.22.l2.3r76-r0_nslu2be.ipk'
Failed to download kernel. Perhaps you need to run 'ipkg update'?
ipkg_download: ERROR: Command failed with return value 1: `wget --passive-ftp    -q -P /tmp/ipkg-vTZ6id http://ipkg.nslu2-linux.org/feeds/unslung/modules/cross/stable/kernel-image-2.4.22-xfs_2.4.22.l2.3r76-r0_nslu2be.ipk'
Failed to download kernel-image-2.4.22-xfs. Perhaps you need to run 'ipkg update'?
Gruß
Franman

Anzeigen

Margolf

Anfänger

Beiträge: 5

Firmwareversion / your current Firmware: originale Firmware 2.3r24

  • Nachricht senden

2

Dienstag, 18. November 2008, 20:21

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Hi. Einen Threat unter deinem habe ich auch davon berichtet, Probleme zu haben. Dann stehe ich wenigstens nicht alleine da ;-)
Mal sehen, wann es gefixt wird.

Gruß

Margolf

Anzeigen

Linux-Beginner

unregistriert

3

Mittwoch, 19. November 2008, 18:32

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Das Problem hast nicht nur Du.
Die Pakete fehlen auf dem Server oder die Paket-Liste ist falsch.
Der Fehler besteht seit ungefähr einer Woche bei mir.

gznw

Fortgeschrittener

Beiträge: 158

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

4

Donnerstag, 20. November 2008, 21:59

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Ich habe vor kurzem auch wieder festgestellt, daß es bei einigen Paketen Probleme gibt. DA waren es die kernel-module. Die musste ich dann manuell installieren.. Etwas komplizierter, aber es ging..
Ich werde mir auch in Kürze alle wichtigen Dateien zur Installation runterladen falls es da mal einen Ausfall geben sollte.. So ist mir die Abhängigkeit zu groß!

franman

Forensupporter

  • »franman« ist der Autor dieses Themas

Beiträge: 12

Firmwareversion / your current Firmware: Unslung 6.10

  • Nachricht senden

5

Freitag, 21. November 2008, 16:19

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Zitat von »gznw;33551«

Ich werde mir auch in Kürze alle wichtigen Dateien zur Installation runterladen falls es da mal einen Ausfall geben sollte.. So ist mir die Abhängigkeit zu groß!


Wo bekommst du die Pakete her und wie funktioniert die manuelle Installation?

Gruß
Franman

gznw

Fortgeschrittener

Beiträge: 158

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

6

Freitag, 21. November 2008, 16:55

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Hallo!
Also die Quelle sieht man auch, wenn ma etwas installiert, oder guck mal hier:
http://ipkg.nslu2-linux.org/feeds/unslun…s/cross/stable/

und hier:

http://ipkg.nslu2-linux.org/feeds/unslung/cross/


es ist jetzt schon eine Weile her, daß ich mir selber die Anleitung geschrieben habe (nach einem halben Jahr hat man es dann wieder vergessen und es ist schön, wenn man es sich aufgeschrieben hat :-) ). Aber ich füge hier mal einfach meine Anleitung ein,bevor ich das umschreibe. Also so ha es bei mir immer funktioniert:

mit wget Pakete auf nslu laden
z.B.

/opt/bin/wget http://ipkg.nslu2-linux.org/feeds/unslun…r21_nslu2be.ipk

in den Zielodner wechslen mit
cd /zielordner

ipkg --force-depends install kernel-2.4.22-xfs_2.4.22.l2.3r63-r21_nslu2be.ipk

wenn benötigte Pakete fehlen kommt die Fehlermeldung:

ERROR: Cannot satisfy the following dependencies for....

dann das Paket ... mit wget downloaden und wie beschrieben installieren, danach nochmal das verherige Paket, bei dem der Fehler kam.


---------------------------------------
Kamera einrichten manuelle Installation der kernel module
---------------------------------------

-alle Pakete sind bereits in /ipkgdownloads
-chmod 755 (damit geht es auf jeden Fall)

cd /ipkgdownloads

ipkg --force-depends install kernel-2.4.22-xfs_2.4.22.l2.3r63-r21_nslu2be.ipk

ipkg --force-depends install kernel-module-ov511_2.4.22.l2.3r63-r21_nslu2be.ipk

ipkg --force-depends install kernel-module-videodev_2.4.22.l2.3r63-r21_nslu2be.ipk



-----------------------------------------
Temperatursensor manuelle kernel module installieren
-----------------------------------------

ipkg --force-depends install kernel-module-usbserial_2.4.22.l2.3r63-r21_nslu2be.ipk

ipkg --force-depends install kernel-module-pl2303_2.4.22.l2.3r63-r21_nslu2be.ipk


// Wenn nun natürlich die Pakete nicht online sind, muß man sie von seiner eigenen Quelle herunterladen, aber das sollte ja nicht das Problem sein. Im Prinzip recht einfach.

Linux-Beginner

unregistriert

7

Samstag, 22. November 2008, 12:35

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

So wie es aussieht wurden die Pakete wieder aus der Liste entfernt.
Die Fehlermeldung war bei mir heute anders, nämlich so:

Quellcode

1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
root@Webserver:/> ipkg upgrade
Upgrading    ipkg on root from 0.99.154-r2 to 0.99.163-r6...
Upgrading    kernel on root from 2.4.22.l2.3r63-r10 to 2.4.22.l2.3r76-r0...
Upgrading    kernel-image-2.4.22-xfs on root from 2.4.22.l2.3r63-r10 to 2.4.22.l2.3r76-r0...
Upgrading    libc6-unslung on root from 2.2.5-r5 to 2.2.5-r13...
Upgrading    libgcc on root from 3.4.4-r3 to 3.4.4-r7...
Upgrading    libipkg on root from 0.99.154-r2 to 0.99.163-r6...
Upgrading    nslu2-linksys-libs on root from 2.3r63-r2 to 2.3r63-r3...
Upgrading    slingbox on root from 1.00-r8 to 1.3.1-r2...
Upgrading    unslung-rootfs on root from 2.3r63-r11 to 2.3r63-r21...
Upgrading    update-modules on root from 1.0-r4 to 1.0-r6...
Nothing to be done
Collected errors:
ERROR: Package ipkg (parent ipkg) is not available from any configured src.
Failed to download ipkg. Perhaps you need to run 'ipkg update'?
ERROR: Package kernel (parent kernel) is not available from any configured src.
Failed to download kernel. Perhaps you need to run 'ipkg update'?
ERROR: Package kernel-image-2.4.22-xfs (parent kernel-image-2.4.22-xfs) is not available from any configured src.
Failed to download kernel-image-2.4.22-xfs. Perhaps you need to run 'ipkg update'?
ERROR: Package libc6-unslung (parent libc6-unslung) is not available from any configured src.
Failed to download libc6-unslung. Perhaps you need to run 'ipkg update'?
ERROR: Package libgcc (parent libgcc) is not available from any configured src.
Failed to download libgcc. Perhaps you need to run 'ipkg update'?
ERROR: Package libipkg (parent libipkg) is not available from any configured src.
Failed to download libipkg. Perhaps you need to run 'ipkg update'?
ERROR: Package nslu2-linksys-libs (parent nslu2-linksys-libs) is not available from any configured src.
Failed to download nslu2-linksys-libs. Perhaps you need to run 'ipkg update'?
ERROR: Package slingbox (parent slingbox) is not available from any configured src.
Failed to download slingbox. Perhaps you need to run 'ipkg update'?
ERROR: Package unslung-rootfs (parent unslung-rootfs) is not available from any configured src.
Failed to download unslung-rootfs. Perhaps you need to run 'ipkg update'?
ERROR: Package update-modules (parent update-modules) is not available from any configured src.
Failed to download update-modules. Perhaps you need to run 'ipkg update'?
Ich hab aus der Datei usr/lib/ipkg/status alle Pakete die mit einem Status "not installed" markiert waren entfernt.
Seitdem funktioniert ein update/upgrade wieder normal.

gznw

Fortgeschrittener

Beiträge: 158

Firmwareversion / your current Firmware: Unslung 3.18

  • Nachricht senden

8

Samstag, 22. November 2008, 17:41

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Also das
ipkg upgrade
habe ich mir abgewöhnt, seitdem ich damit 2x auf die Nase gefallen bin. Bei mir sind einige Treiber/Programmteile angepasst/abgeändert und bei einem ipkg upgrade wurde diese bisher immer zesrtört. Besonders ärgerlich, wenn man erst nicht weiß weshalb plötzlich verschiedene Programme nicht mehr gehen. Einmal war sogar Apache betroffen, weil die neue Version noch fehlerhaft war und somit die alte / funktionierende ersetzt hat.

franman

Forensupporter

  • »franman« ist der Autor dieses Themas

Beiträge: 12

Firmwareversion / your current Firmware: Unslung 6.10

  • Nachricht senden

9

Montag, 24. November 2008, 20:21

AW: Wer hat aktuell auch Probleme mit "ipkg upgrade"?

Zitat von »Linux-Beginner;33572«

Ich hab aus der Datei usr/lib/ipkg/status alle Pakete die mit einem Status "not installed" markiert waren entfernt.
Seitdem funktioniert ein update/upgrade wieder normal.

Das hab ich auch mal gemacht, obwohl ein ipkg flag bestimmt auch geholfen hätte. Die Datei zu editieren war aber schneller als sich in ipkg einzufuchsen.

Ich schließ den Thread mal...

Franman

Social Bookmarks